package com.rjconsultores.ventaboletos.service;

import java.sql.Connection;
import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.entidad.MonitoramentoCCF;

public interface MonitoramentoCCFService extends GenericService<MonitoramentoCCF, Integer> {
	public List<MonitoramentoCCF> buscaQuebraCCF(final String numserie20, final Date data, final Integer ccfInicial);
	public void gravarListaCCFQuebrados(Map<String, Integer> impressoras, Date data);
	public Map<String, Integer> obterImpressorasComCCFInicial(Date data);
	public void openConnection();
	public void closeConnection();
}
